Compute SLO instance summaries in bulk at a point in time
https://{kibana_url}
- POST /s/{spaceId}/api/observability/slos/_bulk_snapshot
Compute the summary of multiple SLO instances at a given point in time. The endpoint is synchronous and returns results directly. Each result contains either a summary (on success) or a per-instance error. The list of requests is limited to 100 entries. When instanceId is omitted or set to '*', the API returns a result for each matching instance (up to 1000 per SLO). You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.
Path Parameters
-
spaceIdstringrequired -
An identifier for the space. If
/s/and the identifier are omitted from the path, the default space is used.
Request
-
atstringrequired -
The point in time at which to compute the SLO instance summaries
-
requestsobject · max: 100required -
The list of SLO instances to compute. Limited to 100 entries.
-
idstringrequired -
The SLO definition id
-
instanceIdstring -
The SLO instance ID. Omit this parameter or set it to
'*'to return all instances for the SLO (up to 1000). Set a specific value to return that instance only.
Responses
Successful response
-
atstringrequired -
The point in time at which the summaries were computed
-
resultsobjectrequired -
The per-instance computation results
-
errorobject -
Error information when the computation failed for this SLO instance. Present when the computation failed.
-
messagestringrequired -
The error message
-
statusCodenumberrequired -
The HTTP status code of the error
-
idstringrequired -
The SLO definition id
-
instanceIdstringrequired -
The SLO instance id. '*' represents the default (ungrouped) instance.
-
summaryobject -
The SLO instance summary at the requested point in time. Present when the computation succeeded.
-
errorBudgetobjectrequired -
goodnumberrequired -
The number of good events
-
sliValuenumberrequired nullable -
The SLI value at the requested point in time, or null when no data is available
-
totalnumberrequired -
The total number of events
Bad request
-
errorstringrequired -
messagestringrequired -
statusCodenumberrequired
Unauthorized response
-
errorstringrequired -
messagestringrequired -
statusCodenumberrequired
Forbidden response
-
errorstringrequired -
messagestringrequired -
statusCodenumberrequired